/**
 * Copyright (c) 2004 Logos GmbH Rostock (www.logos-ib.de).
 * All rights reserved.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL  LOGOS GMBH  OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package de.inovat.kex.bast.common.datawrapper;

import de.bsvrz.dav.daf.main.Data;

/*
 * Revision 1.1  2007/07/04 11:43:13  Trier
 * Neuordnung
 */

/**
 * kapselt die AttributListe atl.statusExterneErfassung.
 * 
 * @author LOGOS GmbH Rostock (www.logos-ib.de)
 * @author J. Schawaller
 * @version $Id: AtlStatusExterneErfassung.java 442 2008-11-10 06:59:32Z Schawaller $
 */
public class AtlStatusExterneErfassung {

  private Data _Data;

  public static final String ATTR_NAME_NICHTERFASST = "NichtErfasst";


  public AtlStatusExterneErfassung(Data data) {
    _Data = data;
  }

  public boolean getNichtErfasst() {
    int iJaNein = _Data.getUnscaledValue("NichtErfasst").intValue();
    if (iJaNein == 1) {
      return true;
    }
    else {
      return false;
    }
  }

  public void setNichtErfasst(boolean jaNein) {
    if (jaNein) {
      _Data.getUnscaledValue("NichtErfasst").set(1);
    }
    else {
      _Data.getUnscaledValue("NichtErfasst").set(0);
    }
  }

}

