package de.inovat.kex.bast.importer;


/**
 * Die Klasse reprästentiert alle Informationen zu den Konfigurationen, welches dem dritten
 * Header-Datensatz der Importdatei entspricht.
 */
public class Klassifikation {
    private int     _anzahlFahrzeugarten;
    private int     _anzahlFahrzeuggruppen;
    private String  _headerkennung;
    private boolean _klassifizierung1;
    private boolean _klassifizierung2;
    private boolean _klassifizierung5Plus1;
    private boolean _klassifizierung8Plus1;

    //~ KONSTRUKTOREN  (und vom Konstruktor verwendete Methoden) ==============

    Klassifikation() {}

    //~ METHODEN ==============================================================

    /**
     * Die Methode bestimmt die Konfiguration.
     */
    public void bestimmeKlassifizierung() {
        if (_anzahlFahrzeuggruppen == 1) {
            _klassifizierung1 = true;
        } else {
            if (_anzahlFahrzeugarten == 0) {
                _klassifizierung2 = true;
            } else if (_anzahlFahrzeugarten == 6) {
                _klassifizierung5Plus1 = true;
            } else if (_anzahlFahrzeugarten == 9) {
                _klassifizierung8Plus1 = true;
            }
        }
    }

    //~ GET METHODEN ==========================================================

    public int getAnzahlFahrzeugarten() {
        return _anzahlFahrzeugarten;
    }

    public int getAnzahlFahrzeuggruppen() {
        return _anzahlFahrzeuggruppen;
    }

    public String getHeaderkennung() {
        return _headerkennung;
    }

    public boolean isKlassifizierung1() {
        bestimmeKlassifizierung();

        return _klassifizierung1;
    }

    public boolean isKlassifizierung2() {
        bestimmeKlassifizierung();

        return _klassifizierung2;
    }

    public boolean isKlassifizierung5Plus1() {
        bestimmeKlassifizierung();

        return _klassifizierung5Plus1;
    }

    public boolean isKlassifizierung8Plus1() {
        bestimmeKlassifizierung();

        return _klassifizierung8Plus1;
    }

    //~ SET METHODEN ==========================================================

    public void setAnzahlFahrzeugarten(int anzahlFahrzeugarten) {
        _anzahlFahrzeugarten = anzahlFahrzeugarten;
    }

    public void setAnzahlFahrzeuggruppen(int anzahlFahrzeuggruppen) {
        _anzahlFahrzeuggruppen = anzahlFahrzeuggruppen;
    }

    public void setHeaderkennung(String headerkennung) {
        _headerkennung = headerkennung;
    }

    //~ METHODEN ==============================================================

    @Override
    public String toString() {
        return "Klassifikation{" + "_klassifizierung8Plus1=" + _klassifizierung8Plus1 + ", _klassifizierung5Plus1=" + _klassifizierung5Plus1 + ", _klassifizierung2=" + _klassifizierung2 + ", _klassifizierung1=" + _klassifizierung1 + ", _headerkennung='" + _headerkennung + '\'' + ", _anzahlFahrzeuggruppen=" + _anzahlFahrzeuggruppen + ", _anzahlFahrzeugarten=" + _anzahlFahrzeugarten + '}';
    }
}
